/*
 *  LSDecoratedTextFieldCellProtocol.h
 *  LightSpeed Cocoa
 *
 *  Created by Yves Meynard on 2011/04/1.
 *  Copyright 2011 Xsilva Systems. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

/*! Decorated text field cells, whether secure or not, implement this protocol. */
@protocol LSDecoratedTextFieldCellProtocol

-(void)addLeftDecoration:(NSCell*)decoration width:(CGFloat)width;
-(void)addRightDecoration:(NSCell*)decoration width:(CGFloat)width;
-(void)clearDecorations;

@end
