/*
 *  NSArrayControllerProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/29/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSArrayController (properties)
@property BOOL automaticallyRearrangesObjects;
@property(copy) NSArray *sortDescriptors;
@property(retain) NSPredicate *filterPredicate;
@property BOOL clearsFilterPredicateOnInsertion;
@property(readonly) id arrangedObjects;
@property BOOL avoidsEmptySelection;
@property BOOL preservesSelection;
@property BOOL selectsInsertedObjects;
@property BOOL alwaysUsesMultipleValuesMarker;
@property(copy) NSIndexSet *selectionIndexes;
@property NSUInteger selectionIndex;
@property(readonly) BOOL canInsert;
@property(readonly) BOOL canSelectNext;
@property(readonly) BOOL canSelectPrevious;
@end
