/*
 *  NSControlProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/29/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSControl (properties)
@property(retain) NSCell *cell;
@property(readonly) id selectedCell;
@property(assign) id target;
@property SEL action;
@property NSInteger tag;
@property(readonly) NSInteger selectedTag;
@property BOOL ignoresMultiClick;
@property(getter=isContinuous, setter=setContinous:) BOOL isContinuous;
@property(getter=isEnabled, setter=setEnabled:) BOOL isEnabled;
@property NSTextAlignment alignment;
@property(retain) NSFont *font;
@property(retain) NSFormatter *formatter;
@property(copy) id<NSCopying> objectValue;
@property(copy) NSString *stringValue;
@property int intValue;
@property float floatValue;
@property double doubleValue;
@property(readonly) NSText *currentEditor;
@property NSInteger integerValue;
@property BOOL refusesFirstResponder;
@end
