/*
 *  NSProgressIndicatorProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/29/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSProgressIndicator (properties)
@property(getter=isIndeterminate, setter=setIndeterminate:) BOOL isIndeterminate;
@property(getter=isBezeled, setter=setBezeled:) BOOL isBezeled;
@property NSControlTint controlTint;
@property NSControlSize controlSize;
@property double doubleValue;
@property double minValue;
@property double maxValue;
@property BOOL usesThreadedAnimation;
@property NSProgressIndicatorStyle style;
@property(getter=isDisplayedWhenStopped, setter=setDisplayedWhenStopped:) BOOL isDisplayedWhenStopped;
@end
