/*
 *  NSScreenProperties.h
 *  LightSpeed Cocoa
 *
 *  Created by Joseph Ranieri on 9/18/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSScreen (properties)
@property(readonly) NSWindowDepth depth;
@property(readonly) NSRect frame;
@property(readonly) NSRect visibleFrame;
@property(readonly) NSDictionary *deviceDescription;
@property(readonly) NSColorSpace *colorSpace;
@property(readonly) const NSWindowDepth *supportedWindowDepths;
@property(readonly) CGFloat userSpaceScaleFactor;
@end
