//
//  NSString-XSAExtensions.h
//  LightSpeed Cocoa
//
//  Created by Bertrand Landry-Hétu on 12/23/09.
//  Copyright 2009 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSString ( XSAExtensions )

- (void)drawWithRect:(NSRect)rect 
		   textColor:(NSColor*)textColor 
		 shadowColor:(NSColor *)shadowColor 
		shadowOffset:(NSPoint)shadowOffset 
		  attributes:(NSDictionary *)attributes;

+(id)stringForKey:(unichar)key;
+(id)stringForKeyEquivalent:(unichar)key;
+(id)stringForModifierFlags:(NSUInteger) keyEquivalentModifierMask;


@end
