/*
 *  NSTabViewItemProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/29/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

@interface NSTabViewItem (properties)
@property(retain) id identifier;
@property(retain) NSView *view;
@property(retain) NSView *initialFirstResponder;
@property(copy) NSString *label;
@property(retain) NSColor *color;
@property(readonly) NSTabState tabState;
@property(readonly) NSTabView *tabView;

#ifdef MAC_OS_X_VERSION_10_6
@property(copy) NSString *toolTip AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
#endif
@end
