/*
 *  NSTableColumnProperties.h
 *  tbl
 *
 *  Created by Joseph Ranieri on 8/30/09.
 *  Copyright 2009 Xsilva Systems Inc. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSTableColumn (properties)
@property(retain) id identifier;
@property(retain) NSTableView *tableView;
@property CGFloat width;
@property CGFloat minWidth;
@property CGFloat maxWidth;
@property(retain) NSCell *headerCell;
@property(retain) NSCell *dataCell;
@property(getter=isEditable, setter=setEditable:) BOOL isEditable;
@property(retain) NSSortDescriptor *sortDescriptorPrototype;
@property NSUInteger autoresizingMask;
@property(copy) NSString *headerToolTip;
@property(getter=isHidden, setter=setHidden:) BOOL isHidden;
@end
