//
//  NSWindow-XSAExtensions.h
//  LightSpeed Cocoa
//
//  Created by Bertrand Landry-Hétu on 10/02/18.
//  Copyright 2010 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSWindow (XSAExtensions)

-(void)XSA_centerOnTopOfWindow:(NSWindow *)window animate: (BOOL)animate;

/*! Changes the size of the window and modifies the origin so that the
 top left corner doesn't move. */
-(void)XSA_resizeToSize:(NSSize)newSize display:(BOOL)display animate:(BOOL)animate;

@end
