/*
 *  NSColorProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/30/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSColor (properties)
@property(readonly) NSString *colorSpaceName;
@property(readonly) NSString *catalogNameComponent;
@property(readonly) NSString *colorNameComponent;
@property(readonly) NSString *localizedCatalogNameComponent;
@property(readonly) NSString *localizedColorNameComponent;
@property(readonly) CGFloat redComponent;
@property(readonly) CGFloat greenComponent;
@property(readonly) CGFloat blueComponent;
@property(readonly) CGFloat hueComponent;
@property(readonly) CGFloat saturationComponent;
@property(readonly) CGFloat brightnessComponent;
@property(readonly) CGFloat whiteComponent;
@property(readonly) CGFloat cyanComponent;
@property(readonly) CGFloat magentaComponent;
@property(readonly) CGFloat yellowComponent;
@property(readonly) CGFloat blackComponent;
@property(readonly) NSColorSpace *colorSpace;
@property(readonly) NSInteger numberOfComponents;
@property(readonly) CGFloat alphaComponent;
@property(readonly) NSImage *patternImage;
@end
